searchData={"items":[{"type":"module","title":"termbox2","doc":null,"ref":"termbox2.html"},{"type":"function","title":"termbox2.tb_clear/0","doc":"Clears the internal back buffer using TB_DEFAULT color.","ref":"termbox2.html#tb_clear/0"},{"type":"function","title":"termbox2.tb_height/0","doc":"Returns the size of the internal back buffer (which is the same as terminal's window size in rows","ref":"termbox2.html#tb_height/0"},{"type":"function","title":"termbox2.tb_hide_cursor/0","doc":"Hides the cursor, not every tty supports this.","ref":"termbox2.html#tb_hide_cursor/0"},{"type":"function","title":"termbox2.tb_init/0","doc":"Initializes the termbox library. This function should be called before any other functions.","ref":"termbox2.html#tb_init/0"},{"type":"function","title":"termbox2.tb_peek_event/1","doc":"Wait for an event up to timeout_ms milliseconds, returning event details in a tuple.","ref":"termbox2.html#tb_peek_event/1"},{"type":"function","title":"termbox2.tb_poll_event/0","doc":"Same as tb_peek_event except no timeout, probably going to beat up erlang scheduler, maybe ?","ref":"termbox2.html#tb_poll_event/0"},{"type":"function","title":"termbox2.tb_present/0","doc":"Synchronizes the internal back buffer with the terminal by writing to the tty.","ref":"termbox2.html#tb_present/0"},{"type":"function","title":"termbox2.tb_print/5","doc":"Print the string at the X and y locations with fg and background colors set.","ref":"termbox2.html#tb_print/5"},{"type":"function","title":"termbox2.tb_set_cell/5","doc":"Sets the individual position of the screen at x,y to character ch, with foreground color fg and bg color bg.","ref":"termbox2.html#tb_set_cell/5"},{"type":"function","title":"termbox2.tb_set_cursor/2","doc":"Sets the position of the cursor. Upper-left character is (0, 0).","ref":"termbox2.html#tb_set_cursor/2"},{"type":"function","title":"termbox2.tb_shutdown/0","doc":"The library must be finalized using the tb_shutdown() function. Called only when no more tb_ functions are required.","ref":"termbox2.html#tb_shutdown/0"},{"type":"function","title":"termbox2.tb_width/0","doc":"Returns the size of the internal back buffer (which is the same as terminal's window size in columns","ref":"termbox2.html#tb_width/0"},{"type":"module","title":"termbox2_app","doc":"termbox2 public API","ref":"termbox2_app.html"},{"type":"function","title":"termbox2_app.start/2","doc":null,"ref":"termbox2_app.html#start/2"},{"type":"function","title":"termbox2_app.stop/1","doc":null,"ref":"termbox2_app.html#stop/1"},{"type":"module","title":"termbox2_sup","doc":"termbox2 top level supervisor.","ref":"termbox2_sup.html"},{"type":"function","title":"termbox2_sup.init/1","doc":null,"ref":"termbox2_sup.html#init/1"},{"type":"function","title":"termbox2_sup.start_link/0","doc":null,"ref":"termbox2_sup.html#start_link/0"},{"type":"extras","title":"README","doc":"[![Contributors](https://img.shields.io/github/contributors/wmealing/termbox2-nif.svg?style=for-the-badge)](https://github.com/wmealing/termbox2-nif/graphs/contributors)\n[![Forks](https://img.shields.io/github/forks/wmealing/termbox2-nif.svg?style=for-the-badge)](https://github.com/wmealing/termbox2-nif/network/members)\n[![Issues](https://img.shields.io/github/issues/wmealing/termbox2-nif.svg?style=for-the-badge)](https://github.com/wmealing/termbox2-nif/issues)\n[![MIT License](https://img.shields.io/badge/License-MIT-yellow.svg?style=for-the-badge)](https://github.com/wmealing/termbox2-nif/blob/master/LICENSE)\n\n\n<!-- PROJECT LOGO -->\n \n \n   \n     \n   \n TERMBOX2-NIF \n   \n\tAn erlang wrapper for the termbox2 library.\n     \n      Explore the docs »  \n     \n     View Demo ·\n     Report Bug ·\n     Request Feature \n   \n \n\n<!-- TABLE OF CONTENTS -->\n \n   Table of Contents \n   \n     \n       About The Project \n       \n          Built With  \n       \n     \n     \n       Getting Started \n       \n          Prerequisites  \n          Installation  \n       \n     \n      Usage  \n      Roadmap  \n      Contributing  \n      License  \n      Contact  \n      Acknowledgments  \n   \n \n\n\n\n<!-- ABOUT THE PROJECT -->","ref":"readme.html"},{"type":"extras","title":"About The Project - README","doc":"[![Product Name Screen Shot][product-screenshot]](https://example.com)\n\nEver wanted to write a TUI library based on termbox2 in beam based languages ?\nTired of writing web apps that may make your app popular and usable by many while likely wasting near gigabytes of memory ?\n\nYou could write a TUI, using this library to avoid the pitfalls.\n\n\n ( back to top ) \n\n\n\n#","ref":"readme.html#about-the-project"},{"type":"extras","title":"Built With - README","doc":"* [![Erlang][Erlang]][Erlang-url]\n* [![Termbox][Termbox2]][Termbox2-url]\n\n ( back to top ) \n\n<!-- GETTING STARTED -->","ref":"readme.html#built-with"},{"type":"extras","title":"Getting Started - README","doc":"#","ref":"readme.html#getting-started"},{"type":"extras","title":"Prerequisites - README","doc":"You will need to have a\n* modern erlang  (Version 22+)\n* make \n* c compiler.\n\n#","ref":"readme.html#prerequisites"},{"type":"extras","title":"Installation - README","doc":"TBD: Should we get this from hex.pm show how to use it as a dep ?\n\n\nManually:\n\n1. Clone this repo.\n   ```sh\n   git clone https://github.com/wmealing/termbox2-nif.git\n   ```\n2. Build the library \n   ```sh\n\tmake\n   ```\n\n ( back to top ) \n\n\n\n<!-- USAGE EXAMPLES -->","ref":"readme.html#installation"},{"type":"extras","title":"Usage - README","doc":"Use this space to show useful examples of how a project can be used. Additional screenshots, code examples and demos work well in this space. You may also link to more resources.\n\n_For more examples, please refer to the [Documentation](https://example.com)_\n\n ( back to top ) \n\n\n\n<!-- ROADMAP -->","ref":"readme.html#usage"},{"type":"extras","title":"Roadmap - README","doc":"- [x] Erlang NIF created.\n- [ ] Gleam wrapper created.\n- [ ] Elixir wrapper \n\nSee the [open issues](https://github.com/wmealing/termbox2-nif/issues) for a full list of proposed features (and known issues).\n\n ( back to top ) \n\n\n<!-- CONTRIBUTING -->","ref":"readme.html#roadmap"},{"type":"extras","title":"Contributing - README","doc":"Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.\n\nIf you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag \"enhancement\".\nDon't forget to give the project a star! Thanks again!\n\n1. Fork the Project\n2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)\n3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)\n4. Push to the Branch (`git push origin feature/AmazingFeature`)\n5. Open a Pull Request\n\n ( back to top ) \n\n<!-- LICENSE -->","ref":"readme.html#contributing"},{"type":"extras","title":"License - README","doc":"Distributed under the MIT License. See `LICENSE` for more information.\n\n ( back to top ) \n\n\n\n<!-- CONTACT -->","ref":"readme.html#license"},{"type":"extras","title":"Contact - README","doc":"- Wade Mealing  - wmealing@gmail.com\n\n- Garlic0x1 - https://github.com/garlic0x1\n\nProject Link: [https://github.com/wmealing/termbox2-nif](https://github.com/wmealing/termbox2-nif)\n\n ( back to top ) \n\n\n<!-- ACKNOWLEDGMENTS -->","ref":"readme.html#contact"},{"type":"extras","title":"Acknowledgments - README","doc":"Used with permission from the garlic0x1 original author. Published to hex.pm with permission.\n\n ( back to top ) \n\n\n\n<!-- MARKDOWN LINKS & IMAGES -->\n<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->\n[product-screenshot]: images/screenshot.png\n[Erlang]: https://img.shields.io/badge/erlang-000000?style=for-the-badge&logo=erlang&logoColor=white\n[Erlang-url]: https://www.erlang.org/\n[Termbox2]: https://img.shields.io/badge/termbox2-000000?style=for-the-badge&logo=codewars&logoColor=61DAFB\n[Termbox2-url]: https://github.com/termbox/termbox2","ref":"readme.html#acknowledgments"},{"type":"extras","title":"LICENSE","doc":"","ref":"license.html"}],"content_type":"text/plain","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}